nlohmann::detail::input_adapter_protocol Struct Referenceabstract

abstract input adapter interface More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::input_adapter_protocol:
[legend]

## Public Member Functions

virtual std::char_traits< char >::int_type | get_character ()=0
| get a character [0,255] or std::char_traits<char>::eof(). More...
virtual | ~input_adapter_protocol ()=default

## Detailed Description

abstract input adapter interface

Produces a stream of std::char_traits<char>::int_type characters from a std::istream, a buffer, or some other input type. Accepts the return of exactly one non-EOF character for future input. The int_type characters returned consist of all valid char values as positive values (typically unsigned char), plus an EOF value outside that range, specified by the value of the function std::char_traits<char>::eof(). This value is typically -1, but could be any arbitrary value which is not a valid char value.

## Constructor & Destructor Documentation

## ~input_adapter_protocol()

virtual nlohmann::detail::input_adapter_protocol::~input_adapter_protocol | ( |  | ) |

virtualdefault

## Member Function Documentation

## get_character()

virtual std::char_traits<char>::int_type nlohmann::detail::input_adapter_protocol::get_character | ( |  | ) |

pure virtual

get a character [0,255] or std::char_traits<char>::eof().

Implemented in nlohmann::detail::input_stream_adapter, nlohmann::detail::wide_string_input_adapter< WideStringType >, nlohmann::detail::input_buffer_adapter, nlohmann::detail::file_input_adapter, nlohmann::detail::wide_string_input_adapter< WideStringType >, nlohmann::detail::file_input_adapter, and nlohmann::detail::input_stream_adapter.

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp